Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001265Frama-CPlug-in > jessiepublic2012-08-08 19:562013-03-27 09:44
Reporterboris 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001265: Function with name shift produces error
DescriptionThe function

void shift() {}

gives rise to the the message

File "why/car.why", line 282, characters 10-15:
Clash with previous constant shift
make: *** [car.stat] Error 1
[jessie] user error: Jessie subprocess failed: make -f car.makefile gui

Renaming shift() avoids the problem.

why version 2.31, command line: frama-c -jessie -jessie-atp=gui -pp-annot
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003402)
cmarche (developer)
2012-08-20 14:41

To Virgile: thanks for the fix.

Although, it would have been better to fix it in the Nitrogen branch. I've done it.
(0003779)
signoles (manager)
2013-03-27 09:43

Fixed in Frama-C Oxygen + Why 2.32.

- Issue History
Date Modified Username Field Change
2012-08-08 19:56 boris New Issue
2012-08-08 19:56 boris Status new => assigned
2012-08-08 19:56 boris Assigned To => cmarche
2012-08-10 13:05 virgile Assigned To cmarche => virgile
2012-08-10 13:05 virgile Status assigned => resolved
2012-08-10 13:05 virgile Resolution open => fixed
2012-08-20 14:41 cmarche Note Added: 0003402
2013-03-27 09:43 signoles Note Added: 0003779
2013-03-27 09:44 signoles Fixed in Version => Frama-C Oxygen-20120901
2013-03-27 09:44 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker